// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// File:        auxiliary.js --> javascript auxiliary library
// Author:      Constantinos Valakas
// Copyright:   Constantinos Valakas
// Project:     Eortologio mozilla firefox extension
// Version:     1.2.2
// Framework:   2.0
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
    Eortologio - Greek Namedays Calendar
    Copyright (C) 2010  - Constantinos Valakas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if(!com) var com = {};
if(!com.cvalakas) com.cvalakas = {};
if(!com.cvalakas.eortologio) com.cvalakas.eortologio = {};
if(!com.cvalakas.eortologio.Auxiliary) com.cvalakas.eortologio.Auxiliary = {};

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


com.cvalakas.eortologio.Auxiliary = function()
{
	// ******** PRIVATE MEMBERS

	// ******** PRIVATE METHODS

	// ******** PUBLIC METHODS AND PROPERTIES
	return {
		// ******** PUBLIC PROPERTIES
   
		// ******** PUBLIC METHODS

		/**
		* Opens an open file/choose folder dialog.
		* @author Constantinos Valakas
		* @param l10nTitle The localized dialog title.
		* @param mode The mode of the file picker<br>
		* <table border="yes"><tr><td>modeOpen</td><td>0</td><td>Load a file or directory</td></tr>
		* <tr><td>modeSave</td><td>1</td><td>Save a file or directory</td></tr>
		* <tr><td>modeGetFolder</td><td>2</td><td>Select a folder/directory</td></tr>
		* <tr><td>modeOpenMultiple</td><td>3</td><td>Load multiple files</td></tr></table>
		* @return A nsILocalFile object
		*/
		openFilePicker: function(parent, l10nTitle, mode)
		{
			try
			{
				const nsIFilePicker = Components.interfaces.nsIFilePicker;

				var fp = Components.classes["@mozilla.org/filepicker;1"]
								   .createInstance(Components.interfaces.nsIFilePicker);

				fp.init(parent, l10nTitle, mode);
				fp.appendFilters(nsIFilePicker.filterAll | nsIFilePicker.filterText);

				var rv = fp.show();
				if (rv == nsIFilePicker.returnOK || rv == nsIFilePicker.returnReplace)
				{
					var file = fp.file;
					// Get the path as string. Note that you usually won't 
					// need to work with the string paths.
					var path = fp.file.path;
					// work with returned nsILocalFile...
				}
		
				return file;
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		}
	};	// End of public module
}();	// End of class

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

