// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// File:        calendar.js --> javascript functions for the Eortologio mozilla extension - calendar dialog
// Author:      Constantinos Valakas
// Copyright:   Constantinos Valakas
// Project:     Eortologio mozilla firefox extension
// Version:     1.2
// Framework:   2.0
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
    Eortologio - Greek Namedays Calendar
    Copyright (C) 2010  - Constantinos Valakas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if(!com) var com = {};
if(!com.cvalakas) com.cvalakas = {};
if(!com.cvalakas.eortologio) com.cvalakas.eortologio = {};
if(!com.cvalakas.eortologio.Calendar) com.cvalakas.eortologio.Calendar = {};

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

com.cvalakas.eortologio.Calendar = function()
{
	// ******** PRIVATE MEMBERS

	// ******** PRIVATE METHODS
   

	// ******** PUBLIC METHODS AND PROPERTIES
	return {
		// ******** PUBLIC PROPERTIES

		// ******** PUBLIC METHODS

		/**
		* Sets the datasources per month.
		* @author Constantinos Valakas 
		*/
		setDataSources: function()
		{
			// Grab the user preferences
			var prefs = Components.classes["@mozilla.org/preferences-service;1"]
								  .getService(Components.interfaces.nsIPrefService)
								  .getBranch("extensions.eortologio.");
						
			// Define datasource according to locale
			document.getElementById("calendar-jan-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-feb-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-mar-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-apr-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-may-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-jun-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-jul-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-aug-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-sep-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-oct-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-nov-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");
			document.getElementById("calendar-dec-vbox").setAttribute("datasources", "chrome://eortologio/content/data/" + prefs.getCharPref("namedaysLocale") + "/eortologio.sqlite");

			// Rebuild components
			document.getElementById("calendar-jan-vbox").builder.rebuild();
			document.getElementById("calendar-feb-vbox").builder.rebuild();
			document.getElementById("calendar-mar-vbox").builder.rebuild();
			document.getElementById("calendar-apr-vbox").builder.rebuild();
			document.getElementById("calendar-may-vbox").builder.rebuild();
			document.getElementById("calendar-jun-vbox").builder.rebuild();
			document.getElementById("calendar-jul-vbox").builder.rebuild();
			document.getElementById("calendar-aug-vbox").builder.rebuild();
			document.getElementById("calendar-sep-vbox").builder.rebuild();
			document.getElementById("calendar-oct-vbox").builder.rebuild();
			document.getElementById("calendar-nov-vbox").builder.rebuild();
			document.getElementById("calendar-dec-vbox").builder.rebuild();
		}
	};   // End of public module
}();    // End of class
