// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// File:        preferences.js --> Eortologio mozilla extension preferences auxiliary script
// Author:      Constantinos Valakas
// Copyright:   Constantinos Valakas
// Project:     Eortologio mozilla firefox extension
// Version:     1.2
// Framework:   2.0
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
    Eortologio - Greek Namedays Calendar
    Copyright (C) 2010  - Constantinos Valakas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if(!com) var com = {};
if(!com.cvalakas) com.cvalakas = {};
if(!com.cvalakas.eortologio) com.cvalakas.eortologio = {};
if(!com.cvalakas.eortologio.Preferences) com.cvalakas.eortologio.Preferences = {};

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

com.cvalakas.eortologio.Preferences = function()
{
	// ******** PRIVATE MEMBERS
	var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                          .getService(Components.interfaces.nsIPrefService)
                          .getBranch("extensions.eortologio.");

	// ******** PRIVATE METHODS

	// ******** PUBLIC METHODS AND PROPERTIES
	return {
		// ******** PUBLIC PROPERTIES

		// ******** PUBLIC METHODS

		/**
		* Auxiliary function.
		* @author Consantinos Valakas
		*/
		populateFields: function()
		{
			try
			{    
				document.getElementById("prefs-note-on-previous-day").checked = prefs.getBoolPref("noteOnPreviousDay");
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		},

		/**
		* Auxiliary function.
		* @author Constantinos Valakas
		*/
		updatePrefs: function()
		{
			try
			{
				var noteOnPreviousDay = document.getElementById("prefs-note-on-previous-day").checked;

				prefs.setBoolPref("noteOnPreviousDay", noteOnPreviousDay);  	
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		},

		/**
		* Restores default foreground and background appearance in nameday labels.
		* @author Constantinos Valakas
		*/
		restoreDefaultAppearance: function(l10nMsg)
		{
			try
			{
				prefs.setBoolPref("labelBoldFonts", false);  
				prefs.setBoolPref("labelNoBackgroundColor", false);
				//prefs.setCharPref("labelBackgroundColor", "#2372B5");
				//prefs.setCharPref("labelForegroundColor", "#FFFFFF");
       
				alert(l10nMsg);            
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		},

		/**
		* Sets the namedays display language.
		* @author Constantinos Valakas
		* @param locale The display namedays locale.
		* @param l10nMsg Localized display message.
		*/
		setNamedaysLanguage: function(locale, l10nMsg)
		{
			try
			{
				prefs.setCharPref("namedaysLocale", locale);

				alert(l10nMsg);
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		},

		/**
		* Restores default locale for displaying the celebrating namedays.
		* @author Constantinos Valakas
		* @param l10nMsg Localized display message.
		*/
		restoreDefaultLanguage: function(l10nMsg)
		{
			try
			{
				prefs.setCharPref("namedaysLocale", "");  
       
				alert(l10nMsg);            
			}
			catch(e)
			{
				//alert(e);
				//Components.utils.reportError(e);
			}
		},
	};   // End of public module
}();    // End of class
